#
# Conditional build:
%bcond_without	gtk4	# Gtk4 version of editor plugin (GNOME 42+)

Summary:	NetworkManager VPN integration for OpenVPN
Summary(pl.UTF-8):	Integracja NetworkManagera z OpenVPN-em
Name:		NetworkManager-openvpn
Version:	1.10.2
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/NetworkManager-openvpn/1.10/%{name}-%{version}.tar.xz
# Source0-md5:	3a7cb5ac3d33bd8b22dc9f4b58216b5b
Patch0:		chroot.patch
URL:		https://wiki.gnome.org/Projects/NetworkManager
BuildRequires:	NetworkManager-devel >= 2:1.7.0
BuildRequires:	NetworkManager-gtk-lib-devel >= 1.8.0
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-tools >= 0.19
BuildRequires:	glib2-devel >= 1:2.34
BuildRequires:	gtk+3-devel >= 3.4
%{?with_gtk4:BuildRequires:	gtk4-devel >= 4.0}
%{?with_gtk4:BuildRequires:	libnma-gtk4-devel >= 1.8.33}
BuildRequires:	libsecret-devel >= 0.18
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Provides:	group(nm-openvpn)
Provides:	user(nm-openvpn)
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	NetworkManager >= 2:1.7.0
Requires:	NetworkManager-gtk-lib >= 1.7.0
Requires:	glib2 >= 1:2.34
Requires:	gtk+3 >= 3.4
Requires:	libsecret >= 0.18
Requires:	openvpn
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NetworkManager VPN integration for OpenVPN.

%description -l pl.UTF-8
Integracja NetworkManagera z OpenVPN-em.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static \
	%{?with_gtk4:--with-gtk4}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/NetworkManager/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 324 -r -f nm-openvpn
%useradd -u 324 -s /bin/false -c "Default user for running openvpn spawned by NetworkManager" -g nm-openvpn nm-openvpn

%postun
if [ "$1" = "0" ]; then
	%userremove nm-openvpn
	%groupremove nm-openvpn
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-vpn-plugin-openvpn.so
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-vpn-plugin-openvpn-editor.so
%if %{with gtk4}
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-gtk4-vpn-plugin-openvpn-editor.so
%endif
%attr(755,root,root) %{_libexecdir}/nm-openvpn-auth-dialog
%attr(755,root,root) %{_libexecdir}/nm-openvpn-service
%attr(755,root,root) %{_libexecdir}/nm-openvpn-service-openvpn-helper
%{_prefix}/lib/NetworkManager/VPN/nm-openvpn-service.name
%{_datadir}/dbus-1/system.d/nm-openvpn-service.conf
%{_datadir}/metainfo/network-manager-openvpn.metainfo.xml
%changelog
* Thu Nov 17 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/NetworkManager-openvpn.git;a=log;h=master

* Wed Nov 16 2022 Jakub Bogusz <qboosh@pld-linux.org> 32d91df
- updated to 1.10.2

* Sat Sep 03 2022 Jakub Bogusz <qboosh@pld-linux.org> 97dbf94
- updated to 1.10.0; added gtk4 configuration editor plugin

* Thu Mar 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 28dd2aa
- updated to 1.8.18

* Wed Sep 29 2021 Jakub Bogusz <qboosh@pld-linux.org> 45deff7
- updated to 1.8.16

* Mon Apr 05 2021 Jakub Bogusz <qboosh@pld-linux.org> d49249f
- updated to 1.8.14

* Sun Mar 29 2020 Jakub Bogusz <qboosh@pld-linux.org> b8684a3
- updated to 1.8.12

* Mon Aug 12 2019 Jan Palus <atler@pld-linux.org> ddc6e49
- build without libnm-glib compatibility; rel 2

* Sat Apr 13 2019 Jakub Bogusz <qboosh@pld-linux.org> 1b8a028
- updated to 1.8.10

* Sun Oct 28 2018 Jakub Bogusz <qboosh@pld-linux.org> ca418a8
- updated to 1.8.8

* Mon May 21 2018 Jan Palus <atler@pld-linux.org> c545785
- up to 1.8.4

* Tue Mar 13 2018 Jan Palus <atler@pld-linux.org> 3f00c89
- up to 1.8.2

* Sat Dec 23 2017 Jan Palus <atler@pld-linux.org> 1fc0ec7
- up to 1.8.0

* Sat Dec 23 2017 Jan Palus <atler@pld-linux.org> 0b63138
- disable silent rules

* Sat Dec 23 2017 Jan Palus <atler@pld-linux.org> ca966ef
- adjust for new %{_libexecdir}

* Sat Jul 22 2017 Elan Ruusamäe <glen@pld-linux.org> 87eca3d
- use existing path for chroot

* Sun May 28 2017 Jakub Bogusz <qboosh@pld-linux.org> a403cc8
- updated to 1.2.10

* Fri Jan 27 2017 Jakub Bogusz <qboosh@pld-linux.org> d10ea6e
- updated to 1.2.8

* Mon Oct 03 2016 Marcin Banasiak <marcin.banasiak@gmail.com> e643a89
- Update to 1.2.6

* Mon Aug 01 2016 Jakub Bogusz <qboosh@pld-linux.org> 13bb97a
- prefers libsecret stable API (0.18+)

* Tue Jul 05 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 3996de8
- Update to 1.2.4

